Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ID_Factory Class Reference

A simple factory for generating ID's for objects created by Notify. More...

`#include <ID_Factory.h>`

Collaboration diagram for TAO_Notify_ID_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ID_Factory (void)
| Constuctor.
| ~TAO_Notify_ID_Factory ()
| Destructor.
TAO_Notify_Object::ID | id (void)
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, TAO_Notify_Object::ID > | seed_

## Detailed Description

A simple factory for generating ID's for objects created by Notify.

## Constructor & Destructor Documentation

TAO_Notify_ID_Factory::TAO_Notify_ID_Factory | ( | void |  | ) |

| Constuctor.

TAO_Notify_ID_Factory::~TAO_Notify_ID_Factory | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_Notify_Object::ID TAO_Notify_ID_Factory::id | ( | void |  | ) |

## Member Data Documentation

ACE_Atomic_Op<TAO_SYNCH_MUTEX, TAO_Notify_Object::ID> TAO_Notify_ID_Factory::seed_`[private]`

The documentation for this class was generated from the following files:

- ID_Factory.h
- ID_Factory.cpp